export const customTabar = {
  data() {
    return {
		 navHeight: 0,
		 customTop: 0,
		 customHeight: 0,
    };
  },
  computed: {},
  created() {
    /**
     * 计算自定义导航栏位置
     */
    let custom = uni.getMenuButtonBoundingClientRect(); // 小程序右上角胶囊信息
    let system = uni.getSystemInfoSync(); // 获取设备信息
    this.navHeight = system.statusBarHeight + 44; // 导航栏的高度
    this.customTop = custom.top; // 胶囊按钮与顶部的距离
    this.customHeight = custom.height; // 胶囊按钮与右侧的距离
    console.log(this.navHeight, this.customTop, this.customHeight)
  },
  mounted() {
    console.log("我是mixin中的mounted生命周期函数");
  },
  methods: {
    clickMe() {
      console.log("我是mixin中的点击事件");
    },
  },
};